#!/usr/bin/env python3

import re
import sys
import os
import signal
from enum import Enum
from subprocess import Popen, PIPE
from pyparsing import nestedExpr
from threading import Timer
import pyparsing as pp
import re
import time
import uuid
import logging
from tabulate import tabulate
from texttable import Texttable
import latextable
import numpy as np
import pandas as pd
import matplotlib.pyplot as plt

def plot_k(df):
    x = df['name']
    y = df['kwm_size']/(df['m_size']*df['k']) - 1
    plt.plot(x,y)

############ main #############
file = sys.argv[1]
headers = ['name','mca_t','m_size','k','kwm_size','kwm_time','f0_size','f0_time','f1_size','f1_time','f2_size','f2_time','f3_size','f3_time','f4_size','f4_time','f5_size','f5_time']
filename = sys.path[0]+'/'+file
print("filname:",filename)
df = pd.read_csv(filename,names=headers,sep=",")

x = df['name']
print(x)
#print(df['f2_time'])
y=(df['f2_time']+ df['kwm_time'])/(df['mca_t'])
plt.plot(x,y)
plt.show()


